import { PopupClosedPayload, ThemeChangedPayload, ViewportChangedPayload } from './events';
/**
 * `viewport_changed` event payload on web version of Telegram. To be removed,
 * when issue is closed.
 * Issue: https://github.com/Telegram-Web-Apps/client-sdk/issues/12
 */
export interface WebViewportChangedPayload {
    height: number;
    width: number;
    is_expanded: boolean;
}
/**
 * Parses incoming value as ThemeChangedPayload.
 */
export declare const extractThemeChangedPayload: import("twa-core").SchemaParserResultFunc<import("twa-core").SchemaParserResult<ThemeChangedPayload>>;
/**
 * Parses incoming value as ViewportChangedPayload.
 */
export declare function extractViewportChangedPayload(data: unknown): ViewportChangedPayload;
/**
 * Parses incoming value as PopupClosedPayload.
 */
export declare const extractPopupClosedPayload: import("twa-core").SchemaParserResultFunc<import("twa-core").SchemaParserResult<PopupClosedPayload>>;
/**
 * Extracts event data from native application event.
 */
export declare const extractMessageEventData: import("twa-core").SchemaParserResultFunc<import("twa-core").SchemaParserResult<{
    type: string;
    data: unknown;
}>>;
